/*

  WINGDB.H - Garmin MapSource GDB file parser for Windows - works with MapSource v 6.3

  Header file for Windows shell

  Copyright 2004 Simon Long, KuDaTa Software
*/

#include "resource.h"

/* CAboutDlg class - about box */

class CAboutDlg : public CDialog
{
public:
	CAboutDlg ();
	enum {IDD = IDD_ABOUTBOX};
};

/* CWinGDBDlg class - main window */

class CWinGDBDlg : public CDialog
{
public:
	CWinGDBDlg (CWnd* pParent = NULL);
	enum {IDD = IDD_WINGDB_DIALOG};

protected:
	virtual BOOL OnInitDialog ();
	void OnSysCommand (UINT nID, LPARAM lParam);
	void OnInfileButton ();
	void OnOutfileButton ();
	void OnConvertButton ();
	DECLARE_MESSAGE_MAP()
	HICON m_hIcon;
};

/* CWinGDBApp class - application */

class CWinGDBApp : public CWinApp
{
public:
	CWinGDBApp ();
	virtual BOOL InitInstance ();
};

/* End of file */